# Library Initialization

enum WpInitFlags

  Flags for wp_init()

  Values:

  enumerator WP_INIT_PIPEWIRE = (1 << 0)

    Initialize PipeWire by calling pw_init()

  enumerator WP_INIT_SPA_TYPES = (1 << 1)

    Initialize support for dynamic spa types. See wp_spa_dynamic_type_init()

  enumerator WP_INIT_SET_PW_LOG = (1 << 2)

    Override PipeWire's logging system with WirePlumber's one

  enumerator WP_INIT_SET_GLIB_LOG = (1 << 3)

    Set wp_log_writer_default() as GLib's default log writer function

  enumerator WP_INIT_ALL = 0xf

    Initialize all of the above

void wp_init(WpInitFlags flags)

  Initializes WirePlumber and PipeWire underneath.

  flags can modify which parts are initialized, in cases where you want to handle part of this initialization externally.

  Parameters:

    - flags -- initialization flags

const char *wp_get_library_version(void)

  Gets the WirePlumber library version.

  Since

    0.4.12

  Returns:

    WirePlumber library version

const char *wp_get_library_api_version(void)

  Gets the WirePlumber library API version.

  Since

    0.4.12

  Returns:

    WirePlumber library API version